org.apache.ignite.spi.discovery.tcp.ipfinder.s3.encrypt

## Class AwsKmsEncryptionService

- java.lang.Object
- - org.apache.ignite.spi.discovery.tcp.ipfinder.s3.encrypt.AwsKmsEncryptionService

- All Implemented Interfaces:
    EncryptionService

      public class AwsKmsEncryptionService
      extends Object
      implements EncryptionService

  Provides an implementation of AWS KMS to encrypt/decrypt the data.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AwsKmsEncryptionService()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `decrypt(byte[] data)` Decrypt the input data.
    `byte[]` | `encrypt(byte[] data)` Encrypt the input data.
    `void` | `init()` For initialization operations.
    `AwsKmsEncryptionService` | `setClientConf(com.amazonaws.ClientConfiguration clientConf)` AWS client configuration.
    `AwsKmsEncryptionService` | `setCredentials(com.amazonaws.auth.AWSCredentials creds)` AWS credentials.
    `AwsKmsEncryptionService` | `setKeyId(String keyId)` Set the KMS key id used to encrypt/decrypt the data.
    `AwsKmsEncryptionService` | `setRegion(com.amazonaws.regions.Region region)` AWS region.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AwsKmsEncryptionService

          public AwsKmsEncryptionService()

  - ### Method Detail

    - #### setKeyId

          public AwsKmsEncryptionService setKeyId(String keyId)

      Set the KMS key id used to encrypt/decrypt the data.
      Parameters:
        `keyId` - Key id.
      Returns:
        `this` for chaining.

    - #### setRegion

          public AwsKmsEncryptionService setRegion(com.amazonaws.regions.Region region)

      AWS region.
      Parameters:
        `region` - Region.
      Returns:
        `this` for chaining.

    - #### setCredentials

          public AwsKmsEncryptionService setCredentials(com.amazonaws.auth.AWSCredentials creds)

      AWS credentials.
      Parameters:
        `creds` - Aws Credentials.
      Returns:
        `this` for chaining.

    - #### setClientConf

          public AwsKmsEncryptionService setClientConf(com.amazonaws.ClientConfiguration clientConf)

      AWS client configuration.
      Parameters:
        `clientConf` - Client conf.
      Returns:
        `this` for chaining.

    - #### init

          public void init()

      For initialization operations. Must be called before the `EncryptionService.encrypt(byte[])` and `EncryptionService.decrypt(byte[])` are used.
      Specified by:
        `init` in interface `EncryptionService`

    - #### encrypt

          public byte[] encrypt(byte[] data)

      Encrypt the input data.
      Specified by:
        `encrypt` in interface `EncryptionService`
      Parameters:
        `data` - Data. bytes to be encrypted.
      Returns:
        The encrypted data bytes.

    - #### decrypt

          public byte[] decrypt(byte[] data)

      Decrypt the input data.
      Specified by:
        `decrypt` in interface `EncryptionService`
      Parameters:
        `data` - Encrypted data.
      Returns:
        Decrypted result.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

2020 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020